Bug 118330 - (SCHEDULER)with hyperthreading availible, and the kernel seeing two CPU's threads only ever run on CPU0
(SCHEDULER)with hyperthreading availible, and the kernel seeing two CPU's thr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 11:47 EST by Antony Carr
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/cpuinfo output (950 bytes, text/plain)
2004-03-15 11:50 EST, Antony Carr
no flags Details
dmesg output (14.95 KB, text/plain)
2004-03-15 11:51 EST, Antony Carr
no flags Details
top, desg & cpuinfo output (17.06 KB, text/plain)
2004-03-19 22:00 EST, Brent H.
no flags Details

  None (edit)
Description Antony Carr 2004-03-15 11:47:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
My P4 hyperthreading capable box correctly identifies two processors,
however no threads ever run on CPU1.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptlsmp

How reproducible:
Always

Steps to Reproduce:
Install Fedora Core1 on a P4 Hyperthreading capable system, and run
something that is multi threaded, eg make -j2 xxxx

Actual Results:  CPU0 gets a healthy workload, however CPU1 gets no
threads executing on it.

Expected Results:  there should be some processes running on CPU1

Additional info:

Bad example - but if you watch top wharlst doing a make -j2 you will
see  something like:
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total   90.6%    0.0%    8.2%   0.0%     0.0%    0.0%  100.8%
           cpu00   90.6%    0.0%    8.3%   0.0%     0.0%    0.0%    0.9%
           cpu01    0.0%    0.0%    0.0%   0.0%     0.0%    0.0%  100.0%
Comment 1 Antony Carr 2004-03-15 11:50:50 EST
Created attachment 98537 [details]
/proc/cpuinfo output
Comment 2 Antony Carr 2004-03-15 11:51:39 EST
Created attachment 98538 [details]
dmesg output
Comment 3 Dave Jones 2004-03-16 10:34:10 EST
upgrade to the latest errata kernel (2174) and see if its repeatable
there.
Comment 4 Brent H. 2004-03-19 21:56:40 EST
I have the same issue on a  Xeon 2.8ghz.  Cpu01 is 100% idle at all
times.  This happens on all of the following kernels:

kernel-smp-2.4.22-1.2149.nptl
kernel-smp-2.4.22-1.2166.nptl
kernel-smp-2.4.22-1.2115.nptl
kernel-smp-2.4.22-1.2174.nptl
Comment 5 Brent H. 2004-03-19 22:00:42 EST
Created attachment 98704 [details]
top, desg & cpuinfo output
Comment 6 Brent H. 2004-03-20 02:02:56 EST
Looks similar to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=112597
Comment 7 Ingo Molnar 2004-08-18 07:33:18 EDT
does this still happen with recent kernels?
Comment 8 David Lawrence 2004-09-29 16:11:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.